NULL Pointer Dereference Affecting krb5-libs package, versions <0:1.18.2-8.3.el8_4


0.0
medium

Snyk CVSS

    Attack Complexity Low
    Availability High
Expand this section
NVD
6.5 medium
Expand this section
Red Hat
6.5 medium
Expand this section
SUSE
6.5 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-CENTOS8-KRB5LIBS-2117939
  • published 26 Aug 2021
  • disclosed 19 Aug 2021

How to fix?

Upgrade Centos:8 krb5-libs to version 0:1.18.2-8.3.el8_4 or higher.

NVD Description

Note: Versions mentioned in the description apply only to the upstream krb5-libs package and not the krb5-libs package as distributed by Centos:8. See How to fix? for Centos:8 relevant fixed versions and status.

The Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.18.5 and 1.19.x before 1.19.3 has a NULL pointer dereference in kdc/do_tgs_req.c via a FAST inner body that lacks a server field.